import { useMutation } from '@tanstack/react-query';
import { authApi, authQueryKeys, UserResetPasswordReturn } from '@api/auth';

import type { BaseAxiosError } from '../../../../types';

export type UserResetPasswordData = {
  email: string;
};

export const useResetPasswordMutation = () => {
  return useMutation<
    UserResetPasswordReturn,
    BaseAxiosError,
    UserResetPasswordData,
    UserResetPasswordReturn
  >({
    mutationKey: authQueryKeys.resetPassword(),
    mutationFn: async (data) => {
      const response = await authApi.resetPassword(data);
      return response.data;
    }
  });
};
