import { useQuery } from '@tanstack/react-query';
import { userApi, userQueryKeys, PostGetProfileInfoReturn } from '@api/user';

import type { BaseAxiosError } from '../../../../types';

export const usePostGetProfileInfoQuery = (token: string, enabled: boolean) => {
  return useQuery<PostGetProfileInfoReturn, BaseAxiosError>({
    queryKey: userQueryKeys.getProfileInfo(),
    queryFn: async () => {
      const response = await userApi.getProfileInfo(token);
      return response.data;
    },
    enabled
  });
};
